<?php

namespace phil\HabboFont2\app\addons;


use phil\HabboFont2\addons\Addon;
use phil\HabboFont2\addons\PositionType;
use phil\HabboFont2\addons\zIndex;
use phil\HabboFont2\Config;

class HotelAddon extends Addon
{

    public function getImagePath()
    {
        return __DIR__ . "/../." . Config::ADDON_PATH . "hotel.png";
    }

    public function getPositionType()
    {
        return PositionType::TOP_FIRST_CHAR;
    }

    public function initializeCoords()
    {
        $this->setY(-28);
        $this->setX(15);
    }

    public function zIndex()
    {
        return zIndex::BACKGROUND;
    }

    public static function getClass()
    {
        return self::class;
    }
}