<?php

namespace phil\HabboFont2\app\addons;

use phil\HabboFont2\addons\Addon;
use phil\HabboFont2\addons\PositionType;
use phil\HabboFont2\addons\zIndex;
use phil\HabboFont2\Config;

class LargeBetaSignAddon extends Addon {

	public function getImagePath() {

		return __DIR__ . "/../." . Config::ADDON_PATH . "beta_sign_l.png";
	}

	public function getPositionType() {

		return PositionType::TOP_LEFT;
	}

	public function zIndex() {

		return zIndex::FOREGROUND;
	}

	public function initializeCoords() {

		$this->setX(-3);
		$this->setY(-2);
	}

	public static function getClass() {
		return self::class;
	}
}