<?php

namespace phil\HabboFont2\artist;

class CharImage implements IImage {

	private $_char;

	private $_image = null;

	public function __construct(Char $char) {

		$this->_char = $char;

		if ($this->_image == null) {
			$this->_image = imageCreateFromPNG($char->getImagePath());
		}
	}

	public function getImage() {

		return $this->_image;
	}

	public function getWidth() {

		return $this->_char->getWidth();
	}

	public function getHeight() {

		return $this->_char->getHeight();
	}
}