<?php

namespace phil\HabboFont2\app\addons;

use phil\HabboFont2\addons\Addon;
use phil\HabboFont2\addons\PositionType;
use phil\HabboFont2\addons\zIndex;
use phil\HabboFont2\Config;

class ChickenAddon extends Addon
{

    public function getImagePath()
    {
        return __DIR__ . "/../." . Config::ADDON_PATH . "chicken.png";
    }

    public function getPositionType()
    {
        return PositionType::TOP_LAST_CHAR;
    }

    public function initializeCoords()
    {
        $this->setY(-22);
    }

    public function zIndex()
    {
        return zIndex::FOREGROUND;
    }

    public static function getClass()
    {
        return self::class;
    }
}