<?php

namespace phil\HabboFont2\fonts;

class FontCollector {

	private $_fonts = [];

	public function add(Font $font) {

		$this->_fonts[] = $font;
	}

	public function find($class_name) {

		foreach ($this->_fonts as $font) {
			if ($font instanceof $class_name) {
				return $font;
			}
		}

		return null;
	}
}